%global pypi_name zope-event
%global srcname zope.event

%bcond_with check

Name:           python-%{pypi_name}
Version:        5.0
Release:        %mkrel 3
Summary:        Zope Event Publication
Group:          Development/Python
License:        ZPLv2.1
URL:            https://pypi.python.org/pypi/zope-event/
Source0:        %{pypi_source}
# upstream fixes for doc build with sphinx 8.1
# https://github.com/zopefoundation/zope.event/commit/cfcb34ea5c61d71c77529cbf2400738473e25bac
# https://bugzilla.redhat.com/show_bug.cgi?id=2329899
Patch1:         python-zope-event-docs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

%package -n python3-%{pypi_name}
Summary:        Zope Event Publication (Python 3)
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

%prep
%autosetup -p1 -n zope.event-%{version}

%generate_buildrequires
%pyproject_buildrequires -x docs %{?with_check:-x test}

%build
%pyproject_wheel

# build the sphinx documents
PYTHONPATH=$(pwd)/src make -C docs html
rm -f docs/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files zope

# not needed
rm -rf %{buildroot}%{python3_sitelib}/*-nspkg.pth

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%doc docs/_build/html/
%license LICENSE.txt


%changelog
* Sun Mar 02 2025 wally <wally> 5.0-3.mga10
+ Revision: 2157987
- rebuild for python3.13

* Thu Feb 20 2025 daviddavid <daviddavid> 5.0-2.mga10
+ Revision: 2149959
- backport upstream fixes for doc build with sphinx 8.1

* Wed Dec 20 2023 wally <wally> 5.0-1.mga10
+ Revision: 2020436
- new version 5.0
- use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 4.5.0-4.mga9
+ Revision: 1832643
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 4.5.0-3.mga9
+ Revision: 1775535
- Rebuild for python-3.10

* Fri Mar 26 2021 ovitters <ovitters> 4.5.0-2.mga9
+ Revision: 1710494
- rebuild for Python 3.9

* Thu Oct 08 2020 kekepower <kekepower> 4.5.0-1.mga8
+ Revision: 1632711
- Update to version 4.5.0

* Sun Feb 16 2020 umeabot <umeabot> 4.4-3.mga8
+ Revision: 1533398
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 tv <tv> 4.4-2.mga8
+ Revision: 1444194
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 25 2019 wally <wally> 4.4-1.mga8
+ Revision: 1432247
- new version 4.4

* Mon Jan 07 2019 kekepower <kekepower> 4.3.0-3.mga7
+ Revision: 1350697
- Rebuild for Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 4.3.0-2.mga7
+ Revision: 1290584
- Mageia 7 Mass Rebuild

* Sun Nov 05 2017 mitya <mitya> 4.3.0-1.mga7
+ Revision: 1175999
- New version 4.3.0

* Sat Aug 05 2017 pterjan <pterjan> 4.2.0-2.mga7
+ Revision: 1135704
- Rebuild for python 3.6

* Mon May 22 2017 mitya <mitya> 4.2.0-1.mga6
+ Revision: 1104062
- Mageify
- imported package python-zope-event


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 09 2016 Charalampos Stratakis <cstratak@redhat.com> - 4.2.0-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jun 28 2016 Ralph Bean <rbean@redhat.com> - 4.2.0-2
- Modernized python macros.
- Added an explicit python2 subpackage.

* Fri Feb 19 2016 Ralph Bean <rbean@redhat.com> - 4.2.0-1
- new version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 04 2015 Matej Stuchlik <mstuchli@redhat.com> - 4.1.0-2
- Rebuilt for Python 3.5

* Mon Oct 19 2015 Ralph Bean <rbean@redhat.com> - 4.1.0-1
- new version

* Mon Oct 19 2015 Ralph Bean <rbean@redhat.com> - 4.0.3-4
- No longer own zope/__init__.py.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Oct 15 2014 Ralph Bean <rbean@redhat.com> - 4.0.3-2
- Fix a python3 conditional block.

* Mon Jul 21 2014 Ralph Bean <rbean@redhat.com> - 4.0.3-1
- Latest upstream.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 4.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Ralph Bean <rbean@redhat.com> - 4.0.2-1
- Latest upstream.
- Conditionalized python3 subpackage for el6.

* Thu Oct 18 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.5.2-1
- Update to 3.5.2 (ZTK 1.1.5)

* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 3.5.1-4
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep  1 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.5.1-1
- Update to 3.5.1 (#728489)
- Build subpackage for Python 3.
- Include the sphinx documents
- Exclude the module for tests.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.0.1-4
- Add a missed percent character

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.0.1-3
- Remove python-zope-filesystem from requirements
- Own %%{python_sitelib}/zope/
- Spec cleaned up

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.0.1-1
- Update to 3.5.0-1
- Include more documents

* Sun Jul 5 2009 Conrad Meyer <konrad@tylerc.org> - 3.4.1-1
- Add missing BR on python-setuptools.
- Enable testing stuff as zope-testing is in devel.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 3.4.0-1
- Initial package.
